﻿@using System.Web.UI.WebControls;
@using Portal.Models;
@using System.Web.Mvc;

<table border="0" width="100%" style="padding-bottom:4px;">
    <tr>
        <td width="62px">
            Type 
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().RadioButtonList(
                setting =>
                {
                    setting.Name = "rdoDeliveryType";
                    setting.Properties.Items.Add("Add To Daily Delivery", "001");
                    setting.Properties.Items.Add("Add New Delivery", "002");
                    setting.SelectedIndex = 0;
                    setting.Properties.RepeatDirection = RepeatDirection.Horizontal;
                    setting.ControlStyle.Border.BorderStyle = BorderStyle.None;
                    setting.Properties.ClientSideEvents.SelectedIndexChanged = "OnDeliveryTypeSelected";                    
                }
            ).GetHtml()
        </td>   
    </tr>
</table>

<table border="0" width="100%">
    <tr style="height: 25px;">
        <td width="100px">
            <label for="LP">Existing Delivery</label>
        </td>
        <td width = "170px">    
            @Html.DevExpress().TextBox(
                s => {
                    s.Name = "grlEDHeader";
                    s.ClientEnabled = false;
                    s.Text = "";
                    s.Width = Unit.Pixel(150);
                    s.Properties.Style.BackColor = System.Drawing.Color.FromName("#BFBFBF");
                    s.Properties.Style.ForeColor = System.Drawing.Color.FromName("#000000");
                }
            ).GetHtml()
        </td>
        
        <td width="100px">
            Pick Up Date
        </td>     
        <td width = "170px">
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "PickupDate";
                    settings.Width = Unit.Pixel(150);
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    //settings.Properties.MinDate = DateTime.Now.AddDays(0);
                    settings.ClientEnabled = true;
                    //settings.Properties.ClientSideEvents.LostFocus = "PickupDate_LostFocus";
                    //settings.Properties.ClientSideEvents.ValueChanged = "PickupDate_ValueChanged";
                    settings.Properties.ClientSideEvents.DateChanged = "PickupDate_DateChanged";
                }
            ).GetHtml()
        </td>   
        
        <td rowspan="5">&nbsp;</td>
    </tr>

    <tr style="height: 25px;">
        <td width="80px">
            Route
        </td>

        <td width="170px">
             @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "grlLPHeaderRoute";
                    s.GridProperties.Name = "grlLPHeaderGridRoute";
                    s.GridProperties.KeyFieldName = "Route";
                    s.Width = 150;
                    s.GridProperties.Width = 150;
                    s.GridProperties.CallbackRouteValues = new { Controller = "AdditionalDelivery", Action = "LPPartialRoute" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(250);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true; 
                    s.GridProperties.CommandColumn.Width = Unit.Pixel(15);
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "ROUTECode";
                        c.FieldName = "Route";
                        c.Caption = "Route";
                        c.Width = Unit.Pixel(140);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                }
            ).Bind(ViewData["ComboRoute"]).GetHtml()
        </td>

        <td>
            Logistic Partner
        </td>
        <td>     
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "grlLPHeader";
                    s.GridProperties.Name = "grlLPHeaderGrid";
                    s.GridProperties.KeyFieldName = "LPCode";
                    s.Width = 150;
                    s.GridProperties.Width = 150;
                    s.GridProperties.CallbackRouteValues = new { Controller = "AdditionalDelivery", Action = "LPPartialAdditional" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LPCode";
                        c.FieldName = "LPCode";
                        c.Caption = "LP Code";
                        c.Width = Unit.Pixel(80);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LPName";
                        c.FieldName = "LPName";
                        c.Caption = "LP Name";
                    });
                }
            ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
        </td>
    </tr>

    <tr>       
        <td>
            Rate
        </td>
        <td>   
            @Html.Partial("PartialComboRate")            
        </td>

        <td>
            Reason
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "Reason";
                    settings.Text = "";
                    settings.Width = Unit.Pixel(150);
                    settings.ClientEnabled = false;
                }
            ).GetHtml()
        </td>
    </tr>

    <tr>
        <td colspan="4"><br /><b>Approval Information</b></td>
    </tr>

    <tr>
        <td colspan="4">
            <table>
                <tr>
                    <td>Approval due date </td>
                    <td>
                        @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "PickupDateApprovalInfo";
                                settings.Width = Unit.Pixel(150);
                                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                settings.Properties.EditFormatString = "dd.MM.yyyy";
                                //settings.Properties.MinDate = DateTime.Now.AddDays(-1);
                                settings.ClientEnabled = true;
                            }
                        ).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TimeEdit(
                            settings =>
                            {
                                settings.Name = "PickupTimeApprovalInfo";
                                settings.Width = Unit.Pixel(80);
                                settings.Properties.DisplayFormatString = "HH:mm:ss";
                                settings.Properties.EditFormatString = "HH:mm:ss";
                                settings.ClientEnabled = true;
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>

    <tr>
        <td>&nbsp;</td>
        <td colspan="3">
            <table>
                <tr>
                    <td>
                        @Html.DevExpress().CheckBox(
                            settings =>
                            {
                                settings.Name = "cbWithoutOrder";
                                settings.Properties.ClientSideEvents.ValueChanged = "cbWithoutOrder_Click";
                                settings.ClientEnabled = false;
                            }
                        ).GetHtml()
                    </td>
                    <td>Without Order</td>
                </tr>
            </table>
        </td>
    </tr>

    <tr>
        <td>&nbsp;</td>
    </tr>

</table>

<table border="0" width="100%">
    <tr>
        <td style="width: 260px;">
            @Html.DevExpress().Button(
                setting =>
                {
                    setting.Name = "btnClear";
                    setting.Text = "Clear";
                    setting.Width = 120;
                    setting.UseSubmitBehavior = true;
                    setting.ClientSideEvents.Click = "btnClear_Click";
                }
            ).GetHtml()
        </td>
        <td>
            <table>
                <tr>
                    <td align="right">
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "btnSave";
                                setting.Text = "Save";
                                setting.Width = 120;
                                setting.UseSubmitBehavior = true;
                                setting.ClientSideEvents.Click = "btnSave_Click";
                            }
                        ).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "btnCancel";
                                setting.Text = "Cancel";
                                setting.Width = 120;
                                setting.UseSubmitBehavior = true;
                                setting.ClientSideEvents.Click = "btnCancel_Click";
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<script type="text/javascript">
    grlLPHeader.SetEnabled(false);
    grlEDHeader.SetEnabled(false);
</script>